---

dexes_datadeal.settings:
  path: '/admin/dexes/dexes_datadeal'
  defaults:
    _title: 'Dexes Datadeal'
    _controller: '\Drupal\system\Controller\SystemController::systemAdminMenuBlockPage'
  requirements:
    _permission: 'view dexes settings'

dexes_datadeal.settings.settings:
  path: '/admin/dexes/dexes_datadeal/settings'
  defaults:
    _title: 'Datadeal Settings'
    _form: '\Drupal\dexes_datadeal\Form\DatadealSettingsForm'
  requirements:
    _permission: 'configure the datadeal settings'

dexes_datadeal.view_datadeal:
  path: '/datadeal/{deal_id}'
  defaults:
    _controller: '\Drupal\dexes_datadeal\Controller\ViewDataDealController::viewDatadeal'
    _title_callback: '\Drupal\dexes_datadeal\Controller\ViewDataDealController::getTitle'
  requirements:
    _permission: 'access content'

dexes_search.search.datadeal_default:
  path: '/search/{scope}'
  defaults:
    _controller: '\Drupal\dexes_datadeal\Controller\SearchDataDealController::search'
    _title_callback: '\Drupal\dexes_datadeal\Controller\SearchDataDealController::getTitle'
    dataspace: null
    query: '-'
    filters: '-'
    page_number: 1
  options:
    parameters:
      query:
        type: string
      filters:
        type: string
      page_number:
        type: number
  requirements:
    _permission: 'access content'
    scope: 'datadeal'
    page_number: '[0-9]+'

dexes_search.search.datadeal:
  path: '/search/{scope}/query/{query}/filters/{filters}/page/{page_number}'
  defaults:
    _controller: '\Drupal\dexes_datadeal\Controller\SearchDataDealController::search'
    _title_callback: '\Drupal\dexes_datadeal\Controller\SearchDataDealController::getTitle'
    dataspace: null
  options:
    parameters:
      query:
        type: string
      filters:
        type: string
      page_number:
        type: number
  requirements:
    _permission: 'access content'
    scope: 'datadeal'
    page_number: '[0-9]+'

dexes_search.search.datadeals:
  path: '/search/deals'
  defaults:
    _controller: '\Drupal\dexes_datadeal\Controller\SearchDataDealController::search'
    _title_callback: '\Drupal\dexes_datadeal\Controller\SearchDataDealController::getTitle'
    dataspace: null
    query: '-'
    filters: ''
    scope: 'datadeals'
    page_number: '1'
  requirements:
    _permission: 'access content'
    page_number: '[0-9]+'

dexes_datadeal.search.datadeals:
  path: '/deals'
  defaults:
    _controller: '\Drupal\dexes_datadeal\Controller\SearchDataDealController::search'
    _title_callback: '\Drupal\dexes_datadeal\Controller\SearchDataDealController::getTitle'
    dataspace: null
    query: '-'
    filters: ''
    scope: 'datadeals'
    page_number: '1'
  requirements:
    _permission: 'access content'
    page_number: '[0-9]+'
